version: 1.7.0-beta.5
files:
  - url: Cherry-Studio-1.7.0-beta.5-x64.zip
    sha512: YFEUnGUSso4YDhke61Na+j0spQ2aw+tUcuHs7tYJfAM1u//QZHivHumCsqv2pdCEsPGEDGOdIGjWTVHp7BIhzw==
    size: 161607738
  - url: Cherry-Studio-1.7.0-beta.5-arm64.zip
    sha512: ioqz48CuFPtxwxBsJCyMc70WNtVm0Umhbb2ps+0xDKUFlF8v8GR5Ss9AtCOZZvW0Ws8JD/CV6hMBxCdHEr/KzQ==
    size: 153143763
  - url: Cherry-Studio-1.7.0-beta.5-x64.dmg
    sha512: C6kSSnaPtqLxAiqXRdR6ZKx+HXVrO2tK/TxB1QOVAKthSLlr/+uWNkHsiDz3ES+rw0+yYQNZJnkzbmgSc47iiQ==
    size: 167776671
  - url: Cherry-Studio-1.7.0-beta.5-arm64.dmg
    sha512: 5PbfHUWNAmn0WkaNuNc1pcKHcjQt8a1hdV7lJwAGV23gWAh+JSt30aYKs5pAMhVXGYtN9mfWdFatPQjfh/Pmrg==
    size: 159185538
path: Cherry-Studio-1.7.0-beta.5-x64.zip
sha512: YFEUnGUSso4YDhke61Na+j0spQ2aw+tUcuHs7tYJfAM1u//QZHivHumCsqv2pdCEsPGEDGOdIGjWTVHp7BIhzw==
minimumSystemVersion: 20.1.0
releaseNotes: |
  <!--LANG:en-->
  What's New in v1.7.0-beta.5

  New Features:
  - MCPRouter Provider: Added MCPRouter provider integration with token management and server synchronization
  - MCP Marketplace: Enhanced MCP server discovery and management with multi-provider marketplace support
  - Agent Permission Mode Display: Visual permission mode cards in empty session states
  - Assistant Subscription Settings: Added subscription URL management in assistant presets

  Improvements:
  - UI Optimization: Sidebar tooltip placement improved on macOS to avoid overlapping window controls
  - MCP Server Logos: Display server logos in Agent settings tooling section
  - Long Command Handling: Bash command tags now auto-truncate (hover to view full command for commands over 100 chars)
  - MCP OAuth Callback: Fixed callback page hanging and added multilingual support (10 languages)
  - Error Display: Improved error block display order for better readability
  - Plugin Browser: Centered tab alignment for better visual consistency

  Bug Fixes:
  - Fixed Agent sessions not inheriting allowed_tools configuration
  - Fixed Gemini endpoint thinking budget spelling error
  - Fixed MCP card description text overflow
  - Fixed unnecessary message timestamp updates on UI-only state changes
  - Updated dependencies: Bun to 1.3.1, uv to 0.9.5

  <!--LANG:zh-CN-->
  v1.7.0-beta.5 新特性

  新功能:
  - MCPRouter 提供商：新增 MCPRouter 提供商集成，支持 token 管理和服务器同步
  - MCP 市场：增强 MCP 服务器发现和管理功能，支持多提供商市场
  - Agent 权限模式展示：空会话状态显示可视化权限模式卡片
  - 助手订阅设置：在助手预设中添加订阅 URL 管理功能

  改进:
  - UI 优化：macOS 上侧边栏工具提示位置优化，避免与窗口控制按钮重叠
  - MCP 服务器标志：在 Agent 设置工具部分显示服务器 logo
  - 长命令处理：Bash 命令标签自动截断（超过 100 字符时悬停查看完整内容）
  - MCP OAuth 回调：修复回调页面挂起问题并添加多语言支持（10 种语言）
  - 错误信息展示：改进错误块显示顺序，提高可读性
  - 插件浏览器：标签页居中对齐，视觉效果更统一

  问题修复:
  - 修复 Agent 会话未继承 allowed_tools 配置
  - 修复 Gemini 端点 thinking budget 拼写错误
  - 修复 MCP 卡片描述文本溢出问题
  - 修复仅 UI 状态变化时消息时间戳不必要的更新
  - 依赖更新：Bun 升级到 1.3.1，uv 升级到 0.9.5
  <!--LANG:END-->
releaseDate: '2025-11-10T12:33:09.016Z'
